Name:           open-any-terminal
Version:        0.6.0
Release:        %autorelease
Summary:        Adds a context-entry for opening a configurable terminal emulator to Nautilus
License:        GPL-3.0-only
URL:            https://github.com/Stunkymonkey/nautilus-open-any-terminal
Source:         https://github.com/Stunkymonkey/nautilus-open-any-terminal/archive/refs/tags/0.6.0.tar.gz
BuildRequires:  make
BuildRequires:  gettext
BuildRequires:  pkgconfig(glib-2.0)
Requires:       python3
Requires:       gettext
Requires:       pkgconfig(glib-2.0)
BuildArch:      noarch

%description
An extension for nautilus or caja, which adds a context-entry for opening
other terminal emulators than gnome-terminal. For nautilus install the
`open-any-terminal-nautlius` package and for caja install the
`open-any-terminal-caja` package.

Supported Terminal Emulators:
- alacritty
- blackbox
- cool-retro-term
- deepin-terminal
- foot/footclient
- ghostty
- gnome-terminal
- guake
- hyper
- kermit
- kgx (GNOME Console)
- kitty
- konsole
- mate-terminal
- mlterm
- ptyxis
- qterminal
- rio
- sakura
- st
- tabby
- terminator
- terminology
- terminus
- termite
- tilix
- urxvt
- urxvtc
- warp
- wezterm
- xfce4-terminal
- xterm/uxterm

Additionally, the terminal can be set to custom, which allows you to set custom commands for opening a local or remote terminal via dconf.

Settings:
```
gsettings set com.github.stunkymonkey.nautilus-open-any-terminal terminal alacritty
gsettings set com.github.stunkymonkey.nautilus-open-any-terminal keybindings '<Ctrl><Alt>t'
gsettings set com.github.stunkymonkey.nautilus-open-any-terminal new-tab true
gsettings set com.github.stunkymonkey.nautilus-open-any-terminal flatpak system
```

%global debug_package %{nil}

%package nautilus
Summary:        Adds a context-entry for opening a configurable terminal emulators to Nautilus
Requires:       nautilus
Requires:       nautilus-python
Requires:       open-any-terminal = %{version}-%{release}
%description nautilus
An extension for nautilus, which adds an context-entry for opening other
terminal emulators than gnome-terminal.

For supported terminal emulators and settings see the description of
the `open-any-terminal` package.

%files nautilus
%{_datadir}/nautilus-python/extensions/*


%package caja
Summary:        Adds a context-entry for opening a configurable terminal emulators to caja
Requires:       caja
Requires:       python3-caja
Requires:       open-any-terminal = %{version}-%{release}
%description caja
An extension for caja, which adds an context-entry for opening other
terminal emulators than gnome-terminal.

For supported terminal emulators and settings see the description of
the `open-any-terminal` package.

%files caja
%{_datadir}/caja-python/extensions/*

%prep
%autosetup -n nautilus-open-any-terminal-%{version}

%build
%make_build

%install
%make_install
cp nautilus_open_any_terminal/schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/
%find_lang nautilus-open-any-terminal

%files -f nautilus-open-any-terminal.lang
%license LICENSE
%doc README.md
%{_datadir}/glib-2.0/schemas/*

%changelog
%autochangelog
